### GET /api/v{apiVersion}/GlossaryItems Source: https://meteor-api.aihw.gov.au/swagger/v1/swagger.json API endpoint for GET /api/v{apiVersion}/GlossaryItems ```markdown ### Parameters - **searchTerm** (string, query, optional): A search string to filter Glossary Items on. - **pageIndex** (integer (int32), query, optional): The 0 based page offset for this result set. - **sortBy** (string, query, optional): A field to sort results by. If supplied, this value must be "lastupdatedat", "createdat" or "name". - **sortOrder** (string, query, optional): The sort order of the results. If supplied, this value must be "asc" or "desc". - **registrationStatuses** (array (string), query, optional): Filter metadata items by registration status. A list of one or more registration statuses in the form "?registrationStatuses=X®istrationStatuses=Y". Replace X and Y with the status/es to filter by. Any number of registration statuses can be provided. This is an exact-match search. For the list of possible statuses see: [Registration statuses](https://meteor.aihw.gov.au/content/752877). - **registrationAuthorityName** (string, query, optional): Filter metadata items by registration authority. This is an exact-match search. For the list of possible statuses see: [Registration authorities](https://meteor.aihw.gov.au/content/460515). - **fromCreatedDateUtc** (string, query, optional): Filter metadata items by created date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'from' dates are inclusive. - **toCreatedDateUtc** (string, query, optional): Filter metadata items by created date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'to' dates are exclusive. - **fromRevisionDateUtc** (string, query, optional): Filter metadata items by revison date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'from' dates are inclusive. - **toRevisionDateUtc** (string, query, optional): Filter metadata items by revision date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'to' dates are exclusive. - **apiVersion** (string, path, required) ### Responses #### 200 - OK **ContentItemSummaryPagedCollection** - **remainingPages** (integer (int32)) - **results** (array (ContentItemSummary)) Array items: - **meteorIdentifier** (integer (int32)) - **name** (string) - **registrations** (array (string)) - **links** (array (ResourceLink)) Array items: - **url** (string) - **method** (string) - **rel** (string) - **entityId** (integer (int32)) **ContentItemSummaryPagedCollection** **ContentItemSummaryPagedCollection** **ContentItemSummaryPagedCollection** **ContentItemSummaryPagedCollection** ### Example Usage ```bash curl -X GET "https://api.example.com/api/v{apiVersion}/GlossaryItems?searchTerm=string&pageIndex=0&sortBy=string&sortOrder=string®istrationStatuses=item1,item2®istrationAuthorityName=string&fromCreatedDateUtc=string&toCreatedDateUtc=string&fromRevisionDateUtc=string&toRevisionDateUtc=string" ``` ``` -------------------------------- ### GET /api/v{apiVersion}/Properties Source: https://meteor-api.aihw.gov.au/swagger/v1/swagger.json API endpoint for GET /api/v{apiVersion}/Properties ```markdown ### Parameters - **searchTerm** (string, query, optional): A search string to filter Properties on. - **pageIndex** (integer (int32), query, optional): The 0 based page offset for this result set. - **sortBy** (string, query, optional): A field to sort results by. If supplied, this value must be "lastupdatedat", "createdat" or "name". - **sortOrder** (string, query, optional): The sort order of the results. If supplied, this value must be "asc" or "desc". - **registrationStatuses** (array (string), query, optional): Filter metadata items by registration status. A list of one or more registration statuses in the form "?registrationStatuses=X®istrationStatuses=Y". Replace X and Y with the status/es to filter by. Any number of registration statuses can be provided. This is an exact-match search. For the list of possible statuses see: [Registration statuses](https://meteor.aihw.gov.au/content/752877). - **registrationAuthorityName** (string, query, optional): Filter metadata items by registration authority. This is an exact-match search. For the list of possible statuses see: [Registration authorities](https://meteor.aihw.gov.au/content/460515). - **fromCreatedDateUtc** (string, query, optional): Filter metadata items by created date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'from' dates are inclusive. - **toCreatedDateUtc** (string, query, optional): Filter metadata items by created date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'to' dates are exclusive. - **fromRevisionDateUtc** (string, query, optional): Filter metadata items by revison date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'from' dates are inclusive. - **toRevisionDateUtc** (string, query, optional): Filter metadata items by revision date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'to' dates are exclusive. - **apiVersion** (string, path, required) ### Responses #### 200 - OK **ContentItemSummaryPagedCollection** - **remainingPages** (integer (int32)) - **results** (array (ContentItemSummary)) Array items: - **meteorIdentifier** (integer (int32)) - **name** (string) - **registrations** (array (string)) - **links** (array (ResourceLink)) Array items: - **url** (string) - **method** (string) - **rel** (string) - **entityId** (integer (int32)) **ContentItemSummaryPagedCollection** **ContentItemSummaryPagedCollection** **ContentItemSummaryPagedCollection** **ContentItemSummaryPagedCollection** ### Example Usage ```bash curl -X GET "https://api.example.com/api/v{apiVersion}/Properties?searchTerm=string&pageIndex=0&sortBy=string&sortOrder=string®istrationStatuses=item1,item2®istrationAuthorityName=string&fromCreatedDateUtc=string&toCreatedDateUtc=string&fromRevisionDateUtc=string&toRevisionDateUtc=string" ``` ``` -------------------------------- ### GET /api/v{apiVersion}/QualityStatements Source: https://meteor-api.aihw.gov.au/swagger/v1/swagger.json API endpoint for GET /api/v{apiVersion}/QualityStatements ```markdown ### Parameters - **searchTerm** (string, query, optional): A search string to filter Quality Statements on. - **pageIndex** (integer (int32), query, optional): The 0 based page offset for this result set. - **sortBy** (string, query, optional): A field to sort results by. If supplied, this value must be "lastupdatedat", "createdat" or "name". - **sortOrder** (string, query, optional): The sort order of the results. If supplied, this value must be "asc" or "desc". - **registrationStatuses** (array (string), query, optional): Filter metadata items by registration status. A list of one or more registration statuses in the form "?registrationStatuses=X®istrationStatuses=Y". Replace X and Y with the status/es to filter by. Any number of registration statuses can be provided. This is an exact-match search. For the list of possible statuses see: [Registration statuses](https://meteor.aihw.gov.au/content/752877). - **registrationAuthorityName** (string, query, optional): Filter metadata items by registration authority. This is an exact-match search. For the list of possible statuses see: [Registration authorities](https://meteor.aihw.gov.au/content/460515). - **fromCreatedDateUtc** (string, query, optional): Filter metadata items by created date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'from' dates are inclusive. - **toCreatedDateUtc** (string, query, optional): Filter metadata items by created date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'to' dates are exclusive. - **fromRevisionDateUtc** (string, query, optional): Filter metadata items by revison date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'from' dates are inclusive. - **toRevisionDateUtc** (string, query, optional): Filter metadata items by revision date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'to' dates are exclusive. - **apiVersion** (string, path, required) ### Responses #### 200 - OK **ContentItemSummaryPagedCollection** - **remainingPages** (integer (int32)) - **results** (array (ContentItemSummary)) Array items: - **meteorIdentifier** (integer (int32)) - **name** (string) - **registrations** (array (string)) - **links** (array (ResourceLink)) Array items: - **url** (string) - **method** (string) - **rel** (string) - **entityId** (integer (int32)) **ContentItemSummaryPagedCollection** **ContentItemSummaryPagedCollection** **ContentItemSummaryPagedCollection** **ContentItemSummaryPagedCollection** ### Example Usage ```bash curl -X GET "https://api.example.com/api/v{apiVersion}/QualityStatements?searchTerm=string&pageIndex=0&sortBy=string&sortOrder=string®istrationStatuses=item1,item2®istrationAuthorityName=string&fromCreatedDateUtc=string&toCreatedDateUtc=string&fromRevisionDateUtc=string&toRevisionDateUtc=string" ``` ``` -------------------------------- ### GET /api/v{apiVersion}/ValueDomains Source: https://meteor-api.aihw.gov.au/swagger/v1/swagger.json API endpoint for GET /api/v{apiVersion}/ValueDomains ```markdown ### Parameters - **searchTerm** (string, query, optional): A search string to filter Value Domains on. - **pageIndex** (integer (int32), query, optional): The 0 based page offset for this result set. - **sortBy** (string, query, optional): A field to sort results by. If supplied, this value must be "lastupdatedat", "createdat" or "name". - **sortOrder** (string, query, optional): The sort order of the results. If supplied, this value must be "asc" or "desc". - **registrationStatuses** (array (string), query, optional): Filter metadata items by registration status. A list of one or more registration statuses in the form "?registrationStatuses=X®istrationStatuses=Y". Replace X and Y with the status/es to filter by. Any number of registration statuses can be provided. This is an exact-match search. For the list of possible statuses see: [Registration statuses](https://meteor.aihw.gov.au/content/752877). - **registrationAuthorityName** (string, query, optional): Filter metadata items by registration authority. This is an exact-match search. For the list of possible statuses see: [Registration authorities](https://meteor.aihw.gov.au/content/460515). - **fromCreatedDateUtc** (string, query, optional): Filter metadata items by created date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'from' dates are inclusive. - **toCreatedDateUtc** (string, query, optional): Filter metadata items by created date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'to' dates are exclusive. - **fromRevisionDateUtc** (string, query, optional): Filter metadata items by revison date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'from' dates are inclusive. - **toRevisionDateUtc** (string, query, optional): Filter metadata items by revision date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'to' dates are exclusive. - **apiVersion** (string, path, required) ### Responses #### 200 - OK **ContentItemSummaryPagedCollection** - **remainingPages** (integer (int32)) - **results** (array (ContentItemSummary)) Array items: - **meteorIdentifier** (integer (int32)) - **name** (string) - **registrations** (array (string)) - **links** (array (ResourceLink)) Array items: - **url** (string) - **method** (string) - **rel** (string) - **entityId** (integer (int32)) **ContentItemSummaryPagedCollection** **ContentItemSummaryPagedCollection** **ContentItemSummaryPagedCollection** **ContentItemSummaryPagedCollection** ### Example Usage ```bash curl -X GET "https://api.example.com/api/v{apiVersion}/ValueDomains?searchTerm=string&pageIndex=0&sortBy=string&sortOrder=string®istrationStatuses=item1,item2®istrationAuthorityName=string&fromCreatedDateUtc=string&toCreatedDateUtc=string&fromRevisionDateUtc=string&toRevisionDateUtc=string" ``` ``` -------------------------------- ### GET /api/v{apiVersion}/FrameworkDimensions Source: https://meteor-api.aihw.gov.au/swagger/v1/swagger.json API endpoint for GET /api/v{apiVersion}/FrameworkDimensions ```markdown ### Parameters - **searchTerm** (string, query, optional): A search string to filter Framework Dimensions on. - **pageIndex** (integer (int32), query, optional): The 0 based page offset for this result set. - **sortBy** (string, query, optional): A field to sort results by. If supplied, this value must be "lastupdatedat", "createdat" or "name". - **sortOrder** (string, query, optional): The sort order of the results. If supplied, this value must be "asc" or "desc". - **fromCreatedDateUtc** (string, query, optional): Filter metadata items by created date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'from' dates are inclusive. - **toCreatedDateUtc** (string, query, optional): Filter metadata items by created date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'to' dates are exclusive. - **fromRevisionDateUtc** (string, query, optional): Filter metadata items by revison date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'from' dates are inclusive. - **toRevisionDateUtc** (string, query, optional): Filter metadata items by revision date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'to' dates are exclusive. - **apiVersion** (string, path, required) ### Responses #### 200 - OK **ContentItemSummaryPagedCollection** - **remainingPages** (integer (int32)) - **results** (array (ContentItemSummary)) Array items: - **meteorIdentifier** (integer (int32)) - **name** (string) - **registrations** (array (string)) - **links** (array (ResourceLink)) Array items: - **url** (string) - **method** (string) - **rel** (string) - **entityId** (integer (int32)) **ContentItemSummaryPagedCollection** **ContentItemSummaryPagedCollection** **ContentItemSummaryPagedCollection** **ContentItemSummaryPagedCollection** ### Example Usage ```bash curl -X GET "https://api.example.com/api/v{apiVersion}/FrameworkDimensions?searchTerm=string&pageIndex=0&sortBy=string&sortOrder=string&fromCreatedDateUtc=string&toCreatedDateUtc=string&fromRevisionDateUtc=string&toRevisionDateUtc=string" ``` ``` -------------------------------- ### GET /api/v{apiVersion}/DataSources Source: https://meteor-api.aihw.gov.au/swagger/v1/swagger.json API endpoint for GET /api/v{apiVersion}/DataSources ```markdown ### Parameters - **searchTerm** (string, query, optional): A search string to filter Data Sources on. - **pageIndex** (integer (int32), query, optional): The 0 based page offset for this result set. - **sortBy** (string, query, optional): A field to sort results by. If supplied, this value must be "lastupdatedat", "createdat" or "name". - **sortOrder** (string, query, optional): The sort order of the results. If supplied, this value must be "asc" or "desc". - **fromCreatedDateUtc** (string, query, optional): Filter metadata items by created date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'from' dates are inclusive. - **toCreatedDateUtc** (string, query, optional): Filter metadata items by created date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'to' dates are exclusive. - **fromRevisionDateUtc** (string, query, optional): Filter metadata items by revison date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'from' dates are inclusive. - **toRevisionDateUtc** (string, query, optional): Filter metadata items by revision date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'to' dates are exclusive. - **apiVersion** (string, path, required) ### Responses #### 200 - OK **ContentItemSummaryPagedCollection** - **remainingPages** (integer (int32)) - **results** (array (ContentItemSummary)) Array items: - **meteorIdentifier** (integer (int32)) - **name** (string) - **registrations** (array (string)) - **links** (array (ResourceLink)) Array items: - **url** (string) - **method** (string) - **rel** (string) - **entityId** (integer (int32)) **ContentItemSummaryPagedCollection** **ContentItemSummaryPagedCollection** **ContentItemSummaryPagedCollection** **ContentItemSummaryPagedCollection** ### Example Usage ```bash curl -X GET "https://api.example.com/api/v{apiVersion}/DataSources?searchTerm=string&pageIndex=0&sortBy=string&sortOrder=string&fromCreatedDateUtc=string&toCreatedDateUtc=string&fromRevisionDateUtc=string&toRevisionDateUtc=string" ``` ``` -------------------------------- ### Schema: ConstructorInfo Source: https://meteor-api.aihw.gov.au/swagger/v1/swagger.json Schema definition for ConstructorInfo ```markdown ## Schema: ConstructorInfo Schema definition for ConstructorInfo **Type:** object - **name** (string) - **declaringType** (object) - **name** (string) - **customAttributes** (array (CustomAttributeData)) Array items: - **attributeType** (object) - **constructor** (object) - **constructorArguments** (array (CustomAttributeTypedArgument)) Array items: - **argumentType** (object) - **value** (unknown) - **namedArguments** (array (CustomAttributeNamedArgument)) Array items: - **memberInfo** (object) - **memberType** (integer (int32)) ("1"|"2"|"4"|"8"|"16"|"32"|"64"|"128"|"191") - **name** (string) - **declaringType** (object) - **reflectedType** (object) - **module** (object) - **assembly** (object) - **definedTypes** (array (TypeInfo)) Array items: - **exportedTypes** (array (Type)) Array items: - **codeBase** (string) - **entryPoint** (object) - **fullName** (string) - **imageRuntimeVersion** (string) - **isDynamic** (boolean) - **location** (string) - **reflectionOnly** (boolean) - **isCollectible** (boolean) - **isFullyTrusted** (boolean) - **customAttributes** (array (CustomAttributeData)) Array items: - **escapedCodeBase** (string) - **manifestModule** (object) - **modules** (array (Module)) Array items: - **globalAssemblyCache** (boolean) - **hostContext** (integer (int64)) - **securityRuleSet** (integer (int32)) ("0"|"1"|"2") - **fullyQualifiedName** (string) - **name** (string) - **mdStreamVersion** (integer (int32)) - **moduleVersionId** (string (uuid)) - **scopeName** (string) - **moduleHandle** (object) - **mdStreamVersion** (integer (int32)) - **customAttributes** (array (CustomAttributeData)) Array items: - **metadataToken** (integer (int32)) - **customAttributes** (array (CustomAttributeData)) Array items: - **isCollectible** (boolean) - **metadataToken** (integer (int32)) - **typedValue** (object) - **memberName** (string) - **isField** (boolean) - **isCollectible** (boolean) - **metadataToken** (integer (int32)) - **isInterface** (boolean) - **memberType** (integer (int32)) ("1"|"2"|"4"|"8"|"16"|"32"|"64"|"128"|"191") - **namespace** (string) - **assemblyQualifiedName** (string) - **fullName** (string) - **assembly** (object) - **module** (object) - **isNested** (boolean) - **declaringType** (object) - **declaringMethod** (object) - **reflectedType** (object) - **underlyingSystemType** (object) - **isTypeDefinition** (boolean) - **isArray** (boolean) - **isByRef** (boolean) - **isPointer** (boolean) - **isConstructedGenericType** (boolean) - **isGenericParameter** (boolean) - **isGenericTypeParameter** (boolean) - **isGenericMethodParameter** (boolean) - **isGenericType** (boolean) - **isGenericTypeDefinition** (boolean) - **isSZArray** (boolean) - **isVariableBoundArray** (boolean) - **isByRefLike** (boolean) - **isFunctionPointer** (boolean) - **isUnmanagedFunctionPointer** (boolean) - **hasElementType** (boolean) - **genericTypeArguments** (array (Type)) Array items: - **genericParameterPosition** (integer (int32)) - **genericParameterAttributes** (integer (int32)) ("0"|"1"|"2"|"3"|"4"|"8"|"16"|"28") - **attributes** (integer (int32)) ("0"|"1"|"2"|"3"|"4"|"5"|"6"|"7"|"8"|"16"|"24"|"32"|"128"|"256"|"1024"|"2048"|"4096"|"8192"|"16384"|"65536"|"131072"|"196608"|"262144"|"264192"|"1048576"|"12582912") - **isAbstract** (boolean) - **isImport** (boolean) - **isSealed** (boolean) - **isSpecialName** (boolean) - **isClass** (boolean) - **isNestedAssembly** (boolean) - **isNestedFamANDAssem** (boolean) - **isNestedFamily** (boolean) - **isNestedFamORAssem** (boolean) - **isNestedPrivate** (boolean) - **isNestedPublic** (boolean) - **isNotPublic** (boolean) - **isPublic** (boolean) - **isAutoLayout** (boolean) - **isExplicitLayout** (boolean) - **isLayoutSequential** (boolean) - **isAnsiClass** (boolean) - **isAutoClass** (boolean) - **isUnicodeClass** (boolean) - **isCOMObject** (boolean) - **isContextful** (boolean) - **isEnum** (boolean) - **isMarshalByRef** (boolean) - **isPrimitive** (boolean) - **isValueType** (boolean) - **isSignatureType** (boolean) - **isSecurityCritical** (boolean) - **isSecuritySafeCritical** (boolean) - **isSecurityTransparent** (boolean) - **structLayoutAttribute** (object) - **typeId** (unknown) - **value** (integer (int32)) ("0"|"2"|"3") - **typeInitializer** (object) - **typeHandle** (object) - **value** (object) - **guid** (string (uuid)) - **baseType** (object) - **isSerializable** (boolean) - **containsGenericParameters** (boolean) - **isVisible** (boolean) - **reflectedType** (object) - **module** (object) - **customAttributes** (array (CustomAttributeData)) Array items: - **isCollectible** (boolean) - **metadataToken** (integer (int32)) - **attributes** (integer (int32)) ("0"|"1"|"2"|"3"|"4"|"5"|"6"|"7"|"8"|"16"|"32"|"64"|"128"|"256"|"512"|"1024"|"2048"|"4096"|"8192"|"16384"|"32768"|"53248") - **methodImplementationFlags** (integer (int32)) ("0"|"1"|"2"|"3"|"4"|"8"|"16"|"32"|"64"|"128"|"256"|"512"|"4096"|"65535") - **callingConvention** (integer (int32)) ("1"|"2"|"3"|"32"|"64") - **isAbstract** (boolean) - **isConstructor** (boolean) - **isFinal** (boolean) - **isHideBySig** (boolean) - **isSpecialName** (boolean) - **isStatic** (boolean) - **isVirtual** (boolean) - **isAssembly** (boolean) - **isFamily** (boolean) - **isFamilyAndAssembly** (boolean) - **isFamilyOrAssembly** (boolean) - **isPrivate** (boolean) - **isPublic** (boolean) - **isConstructedGenericMethod** (boolean) - **isGenericMethod** (boolean) - **isGenericMethodDefinition** (boolean) - **containsGenericParameters** (boolean) - **methodHandle** (object) - **isSecurityCritical** (boolean) - **isSecuritySafeCritical** (boolean) - **isSecurityTransparent** (boolean) - **memberType** (integer (int32)) ("1"|"2"|"4"|"8"|"16"|"32"|"64"|"128"|"191") ``` -------------------------------- ### Schema: Product Source: https://meteor-api.aihw.gov.au/swagger/v1/swagger.json Schema definition for Product ```markdown ## Schema: Product Schema definition for Product **Type:** object - **id** (integer (int32)) - **name** (string) (required) ``` -------------------------------- ### GET /api/v{apiVersion}/RegistrationAuthorities Source: https://meteor-api.aihw.gov.au/swagger/v1/swagger.json API endpoint for GET /api/v{apiVersion}/RegistrationAuthorities ```markdown ### Parameters - **includeRetired** (boolean, query, optional): Optionally, include any retired Registration Authorities you have access to. - **apiVersion** (string, path, required) ### Responses #### 200 - OK - Array of ApiRegistrationAuthority - Array of ApiRegistrationAuthority - Array of ApiRegistrationAuthority - Array of ApiRegistrationAuthority - Array of ApiRegistrationAuthority ### Example Usage ```bash curl -X GET "https://api.example.com/api/v{apiVersion}/RegistrationAuthorities?includeRetired=true" ``` ``` -------------------------------- ### Schema: Assembly Source: https://meteor-api.aihw.gov.au/swagger/v1/swagger.json Schema definition for Assembly ```markdown ## Schema: Assembly Schema definition for Assembly **Type:** object - **definedTypes** (array (TypeInfo)) Array items: - **name** (string) - **customAttributes** (array (CustomAttributeData)) Array items: - **attributeType** (object) - **constructor** (object) - **name** (string) - **declaringType** (object) - **reflectedType** (object) - **module** (object) - **assembly** (object) - **fullyQualifiedName** (string) - **name** (string) - **mdStreamVersion** (integer (int32)) - **moduleVersionId** (string (uuid)) - **scopeName** (string) - **moduleHandle** (object) - **mdStreamVersion** (integer (int32)) - **customAttributes** (array (CustomAttributeData)) Array items: - **metadataToken** (integer (int32)) - **customAttributes** (array (CustomAttributeData)) Array items: - **isCollectible** (boolean) - **metadataToken** (integer (int32)) - **attributes** (integer (int32)) ("0"|"1"|"2"|"3"|"4"|"5"|"6"|"7"|"8"|"16"|"32"|"64"|"128"|"256"|"512"|"1024"|"2048"|"4096"|"8192"|"16384"|"32768"|"53248") - **methodImplementationFlags** (integer (int32)) ("0"|"1"|"2"|"3"|"4"|"8"|"16"|"32"|"64"|"128"|"256"|"512"|"4096"|"65535") - **callingConvention** (integer (int32)) ("1"|"2"|"3"|"32"|"64") - **isAbstract** (boolean) - **isConstructor** (boolean) - **isFinal** (boolean) - **isHideBySig** (boolean) - **isSpecialName** (boolean) - **isStatic** (boolean) - **isVirtual** (boolean) - **isAssembly** (boolean) - **isFamily** (boolean) - **isFamilyAndAssembly** (boolean) - **isFamilyOrAssembly** (boolean) - **isPrivate** (boolean) - **isPublic** (boolean) - **isConstructedGenericMethod** (boolean) - **isGenericMethod** (boolean) - **isGenericMethodDefinition** (boolean) - **containsGenericParameters** (boolean) - **methodHandle** (object) - **value** (object) - **isSecurityCritical** (boolean) - **isSecuritySafeCritical** (boolean) - **isSecurityTransparent** (boolean) - **memberType** (integer (int32)) ("1"|"2"|"4"|"8"|"16"|"32"|"64"|"128"|"191") - **constructorArguments** (array (CustomAttributeTypedArgument)) Array items: - **argumentType** (object) - **value** (unknown) - **namedArguments** (array (CustomAttributeNamedArgument)) Array items: - **memberInfo** (object) - **memberType** (integer (int32)) ("1"|"2"|"4"|"8"|"16"|"32"|"64"|"128"|"191") - **name** (string) - **declaringType** (object) - **reflectedType** (object) - **module** (object) - **customAttributes** (array (CustomAttributeData)) Array items: - **isCollectible** (boolean) - **metadataToken** (integer (int32)) - **typedValue** (object) - **memberName** (string) - **isField** (boolean) - **isCollectible** (boolean) - **metadataToken** (integer (int32)) - **isInterface** (boolean) - **memberType** (integer (int32)) ("1"|"2"|"4"|"8"|"16"|"32"|"64"|"128"|"191") - **namespace** (string) - **assemblyQualifiedName** (string) - **fullName** (string) - **assembly** (object) - **module** (object) - **isNested** (boolean) - **declaringType** (object) - **declaringMethod** (object) - **reflectedType** (object) - **underlyingSystemType** (object) - **isTypeDefinition** (boolean) - **isArray** (boolean) - **isByRef** (boolean) - **isPointer** (boolean) - **isConstructedGenericType** (boolean) - **isGenericParameter** (boolean) - **isGenericTypeParameter** (boolean) - **isGenericMethodParameter** (boolean) - **isGenericType** (boolean) - **isGenericTypeDefinition** (boolean) - **isSZArray** (boolean) - **isVariableBoundArray** (boolean) - **isByRefLike** (boolean) - **isFunctionPointer** (boolean) - **isUnmanagedFunctionPointer** (boolean) - **hasElementType** (boolean) - **genericTypeArguments** (array (Type)) Array items: - **genericParameterPosition** (integer (int32)) - **genericParameterAttributes** (integer (int32)) ("0"|"1"|"2"|"3"|"4"|"8"|"16"|"28") - **attributes** (integer (int32)) ("0"|"1"|"2"|"3"|"4"|"5"|"6"|"7"|"8"|"16"|"24"|"32"|"128"|"256"|"1024"|"2048"|"4096"|"8192"|"16384"|"65536"|"131072"|"196608"|"262144"|"264192"|"1048576"|"12582912") - **isAbstract** (boolean) - **isImport** (boolean) - **isSealed** (boolean) - **isSpecialName** (boolean) - **isClass** (boolean) - **isNestedAssembly** (boolean) - **isNestedFamANDAssem** (boolean) - **isNestedFamily** (boolean) - **isNestedFamORAssem** (boolean) - **isNestedPrivate** (boolean) - **isNestedPublic** (boolean) - **isNotPublic** (boolean) - **isPublic** (boolean) - **isAutoLayout** (boolean) - **isExplicitLayout** (boolean) - **isLayoutSequential** (boolean) - **isAnsiClass** (boolean) - **isAutoClass** (boolean) - **isUnicodeClass** (boolean) - **isCOMObject** (boolean) - **isContextful** (boolean) - **isEnum** (boolean) - **isMarshalByRef** (boolean) - **isPrimitive** (boolean) - **isValueType** (boolean) - **isSignatureType** (boolean) - **isSecurityCritical** (boolean) - **isSecuritySafeCritical** (boolean) - **isSecurityTransparent** (boolean) - **structLayoutAttribute** (object) - **typeId** (unknown) - **value** (integer (int32)) ("0"|"2"|"3") - **typeInitializer** (object) - **typeHandle** (object) - **guid** (string (uuid)) - **baseType** (object) - **isSerializable** (boolean) - **containsGenericParameters** (boolean) - **isVisible** (boolean) - **genericTypeParameters** (array (Type)) Array items: - **declaredConstructors** (array (ConstructorInfo)) Array items: - **declaredEvents** (array (EventInfo)) Array items: - **declaredFields** (array (FieldInfo)) Array items: - **declaredMembers** (array (MemberInfo)) Array items: - **declaredMethods** (array (MethodInfo)) Array items: - **declaredNestedTypes** (array (TypeInfo)) Array items: - **declaredProperties** (array (PropertyInfo)) Array items: - **implementedInterfaces** (array (Type)) Array items: - **exportedTypes** (array (Type)) Array items: - **codeBase** (string) - **entryPoint** (object) - **fullName** (string) - **imageRuntimeVersion** (string) - **isDynamic** (boolean) - **location** (string) - **reflectionOnly** (boolean) - **isCollectible** (boolean) - **isFullyTrusted** (boolean) - **customAttributes** (array (CustomAttributeData)) Array items: - **escapedCodeBase** (string) - **manifestModule** (object) - **modules** (array (Module)) Array items: - **globalAssemblyCache** (boolean) - **hostContext** (integer (int64)) - **securityRuleSet** (integer (int32)) ("0"|"1"|"2") ``` -------------------------------- ### GET /api/v{apiVersion}/PropertyGroups Source: https://meteor-api.aihw.gov.au/swagger/v1/swagger.json API endpoint for GET /api/v{apiVersion}/PropertyGroups ```markdown ### Parameters - **searchTerm** (string, query, optional): A search string to filter Property Groups on. - **pageIndex** (integer (int32), query, optional): The 0 based page offset for this result set. - **sortBy** (string, query, optional): A field to sort results by. If supplied, this value must be "lastupdatedat", "createdat" or "name". - **sortOrder** (string, query, optional): The sort order of the results. If supplied, this value must be "asc" or "desc". - **fromCreatedDateUtc** (string, query, optional): Filter metadata items by created date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'from' dates are inclusive. - **toCreatedDateUtc** (string, query, optional): Filter metadata items by created date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'to' dates are exclusive. - **fromRevisionDateUtc** (string, query, optional): Filter metadata items by revison date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'from' dates are inclusive. - **toRevisionDateUtc** (string, query, optional): Filter metadata items by revision date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'to' dates are exclusive. - **apiVersion** (string, path, required) ### Responses #### 200 - OK **ContentItemSummaryPagedCollection** - **remainingPages** (integer (int32)) - **results** (array (ContentItemSummary)) Array items: - **meteorIdentifier** (integer (int32)) - **name** (string) - **registrations** (array (string)) - **links** (array (ResourceLink)) Array items: - **url** (string) - **method** (string) - **rel** (string) - **entityId** (integer (int32)) **ContentItemSummaryPagedCollection** **ContentItemSummaryPagedCollection** **ContentItemSummaryPagedCollection** **ContentItemSummaryPagedCollection** ### Example Usage ```bash curl -X GET "https://api.example.com/api/v{apiVersion}/PropertyGroups?searchTerm=string&pageIndex=0&sortBy=string&sortOrder=string&fromCreatedDateUtc=string&toCreatedDateUtc=string&fromRevisionDateUtc=string&toRevisionDateUtc=string" ``` ``` -------------------------------- ### Schema: LayoutKind Source: https://meteor-api.aihw.gov.au/swagger/v1/swagger.json Schema definition for LayoutKind ```markdown ## Schema: LayoutKind Schema definition for LayoutKind **Type:** integer ``` -------------------------------- ### GET /api/v{apiVersion}/OutcomeAreas Source: https://meteor-api.aihw.gov.au/swagger/v1/swagger.json API endpoint for GET /api/v{apiVersion}/OutcomeAreas ```markdown ### Parameters - **searchTerm** (string, query, optional): A search string to filter Outcome Areas on. - **pageIndex** (integer (int32), query, optional): The 0 based page offset for this result set. - **sortBy** (string, query, optional): A field to sort results by. If supplied, this value must be "lastupdatedat", "createdat" or "name". - **sortOrder** (string, query, optional): The sort order of the results. If supplied, this value must be "asc" or "desc". - **registrationStatuses** (array (string), query, optional): Filter metadata items by registration status. A list of one or more registration statuses in the form "?registrationStatuses=X®istrationStatuses=Y". Replace X and Y with the status/es to filter by. Any number of registration statuses can be provided. This is an exact-match search. For the list of possible statuses see: [Registration statuses](https://meteor.aihw.gov.au/content/752877). - **registrationAuthorityName** (string, query, optional): Filter metadata items by registration authority. This is an exact-match search. For the list of possible statuses see: [Registration authorities](https://meteor.aihw.gov.au/content/460515). - **fromCreatedDateUtc** (string, query, optional): Filter metadata items by created date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'from' dates are inclusive. - **toCreatedDateUtc** (string, query, optional): Filter metadata items by created date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'to' dates are exclusive. - **fromRevisionDateUtc** (string, query, optional): Filter metadata items by revison date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'from' dates are inclusive. - **toRevisionDateUtc** (string, query, optional): Filter metadata items by revision date. If supplied, this value must be in the format "dd/mm/YYYY". Date ranges for 'to' dates are exclusive. - **apiVersion** (string, path, required) ### Responses #### 200 - OK **ContentItemSummaryPagedCollection** - **remainingPages** (integer (int32)) - **results** (array (ContentItemSummary)) Array items: - **meteorIdentifier** (integer (int32)) - **name** (string) - **registrations** (array (string)) - **links** (array (ResourceLink)) Array items: - **url** (string) - **method** (string) - **rel** (string) - **entityId** (integer (int32)) **ContentItemSummaryPagedCollection** **ContentItemSummaryPagedCollection** **ContentItemSummaryPagedCollection** **ContentItemSummaryPagedCollection** ### Example Usage ```bash curl -X GET "https://api.example.com/api/v{apiVersion}/OutcomeAreas?searchTerm=string&pageIndex=0&sortBy=string&sortOrder=string®istrationStatuses=item1,item2®istrationAuthorityName=string&fromCreatedDateUtc=string&toCreatedDateUtc=string&fromRevisionDateUtc=string&toRevisionDateUtc=string" ``` ```